SAM_FINALIZE(3)

NAME

sam_finalize - Terminate SAM service

SYNOPSIS

#include <corosync/sam.h>

cs_error_t sam_finalize (void);

DESCRIPTION

The sam_finalize function is used to terminate SAM API. Once the connection is finalized, the SAM may not be used again by application. Whole functionality (health checking) will be stopped and after application fail, recovery action will not be taken.

RETURN VALUE

This call return CS_OK value if successful, otherwise and error is returned.

ERRORS

CS_ERR_BAD_HANDLE
    library was not initialized by sam_init(3) function or was finished already.

SEE ALSO
sam_initialize(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task